---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
  labels:
    app: httpbin
  name: httpbin
spec:
  rules:
  - host: httpbin.tbrnt.ch
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: httpbin
            port:
              number: 8080
  - host: "*.httpbin.tbrnt.ch"
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: httpbin
            port:
              number: 8080
  tls:
  - hosts:
    - httpbin.tbrnt.ch
    - v4.httpbin.tbrnt.ch
    - v6.httpbin.tbrnt.ch
    secretName: ingress-cert
